import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 编辑器服务对象基类
 *
 * @export
 * @class IBIZAPPEDITORServiceBase
 * @extends {EntityServie}
 */
export default class IBIZAPPEDITORServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZAPPEDITORServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZAPPEDITORServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZAPPEDITORServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizappeditor';
        this.APPDEKEY = 'ibizappeditorid';
        this.APPDENAME = 'ibizappeditors';
        this.APPDETEXT = 'ibizappeditorname';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZAPPEDITORServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().get(`/ibizappeditors/${context.ibizappeditor}/select`,isloading);
            
            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZAPPEDITORServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }

    /**
     * searchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZAPPEDITORServiceBase
     */
    public async searchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let tempData:any = JSON.parse(JSON.stringify(data));
        return await Http.getInstance().post(`/ibizappeditors/searchdefault`,tempData,isloading);
    }
}